test_setup()
{
    request=$'/foo.cgi\r\n'

    cat >"$docroot"/foo.cgi <<EOF
#!/bin/sh
printf '%s\\n' 'Hello, world.'
EOF
    chmod +x "$docroot"/foo.cgi
}

test_set_assumptions()
{
    echo 0 >"$work"/exitcode.expected
    touch "$work"/stderr.expected

    printf '%s\n' 'Hello, world.' >"$work"/stdout.expected
}
